%define oname pyramid
Name: python-module-pyramid
Version: 1.1
Release: alt1.a0.git20110513
Summary: Small, fast, down-to-earth Python web application development framework
License: Repoze Public License
Group: Development/Python
Url: http://pylonsproject.org/
Packager: Eugeny A. Rostovtsev (REAL) <real at altlinux.org>

# https://github.com/Pylons/pyramid
Source: %name-%version.tar
BuildArch: noarch

BuildPreReq: python-devel python-module-setuptools
BuildPreReq: python-module-sphinx-devel

%description
Pyramid is a small, fast, down-to-earth, open source Python web
application development framework. It makes real-world web application
development and deployment more fun, more predictable, and more
productive.

%package tests
Summary: Tests for Pyramid
Group: Development/Python
Requires: %name = %version-%release

%description tests
Pyramid is a small, fast, down-to-earth, open source Python web
application development framework. It makes real-world web application
development and deployment more fun, more predictable, and more
productive.

This package contains tests for Pyramid.

%package pickles
Summary: Pickles for Pyramid
Group: Development/Python

%description pickles
Pyramid is a small, fast, down-to-earth, open source Python web
application development framework. It makes real-world web application
development and deployment more fun, more predictable, and more
productive.

This package contains pickles for Pyramid.

%package docs
Summary: Documentation for Pyramid
Group: Development/Documentation

%description docs
Pyramid is a small, fast, down-to-earth, open source Python web
application development framework. It makes real-world web application
development and deployment more fun, more predictable, and more
productive.

This package contains documentation for Pyramid.

%prep
%setup

%prepare_sphinx .
ln -s ../objects.inv docs/

%build
%python_build_debug

%install
%python_install

export PYTHONPATH=%buildroot%python_sitelibdir
pushd docs
%make pickle
%make html
cp -fR _build/pickle %buildroot%python_sitelibdir/%oname/
popd

%files
%doc *.txt *.rst
%_bindir/*
%python_sitelibdir/*
%exclude %python_sitelibdir/%oname/pickle
%exclude %python_sitelibdir/%oname/tests

%files tests
%python_sitelibdir/%oname/tests

%files pickles
%python_sitelibdir/%oname/pickle

%files docs
%doc docs/_build/html/*

%changelog
* Mon May 16 2011 Eugeny A. Rostovtsev (REAL) <real at altlinux.org> 1.1-alt1.a0.git20110513
- Initial build for Sisyphus

